Subject: bug#74943: sshd: no hostkeys available -- exiting

From: Christopher Baines <[email-masked]>
Date: Tue, 28 Jan 2025 10:10:47 +0000

Ludovic Courtès <[email-masked]> writes:

> Hello,
>
> Christopher Baines <[email-masked]> skribis:
>
>> I'm having trouble with ssh after reconfiguring, in /var/log/messages I
>> see an error regarding hostkeys. The files seem to be there though, I've
>> tried regenerating the keys but that made no difference.
>
> Could you provide more info, such as the relevant excerpt of
> /var/log/messages and the config?

I can't quite remember the exact situation, but I think this turned out
to be connected with the Patchwork service not being compatible with
current versions of the Shepherd, specifically it tries to use
primitive-fork while starting [1] and I'm guessing this leads to
confusing state things happening internally that break SSH.

1: https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/services/web.scm#n1903